<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleGeozonesResult StructType
 * @subpackage Structs
 */
class VehicleGeozonesResult extends AbstractStructBase
{
    /**
     * The Vehicle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierVehicleResult
     */
    public $Vehicle;
    /**
     * The Geozones
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfVehicleGeozoneResult
     */
    public $Geozones;
    /**
     * Constructor method for VehicleGeozonesResult
     * @uses VehicleGeozonesResult::setVehicle()
     * @uses VehicleGeozonesResult::setGeozones()
     * @param \StructType\IdentifierVehicleResult $vehicle
     * @param \ArrayType\ArrayOfVehicleGeozoneResult $geozones
     */
    public function __construct(\StructType\IdentifierVehicleResult $vehicle = null, \ArrayType\ArrayOfVehicleGeozoneResult $geozones = null)
    {
        $this
            ->setVehicle($vehicle)
            ->setGeozones($geozones);
    }
    /**
     * Get Vehicle value
     * @return \StructType\IdentifierVehicleResult|null
     */
    public function getVehicle()
    {
        return $this->Vehicle;
    }
    /**
     * Set Vehicle value
     * @param \StructType\IdentifierVehicleResult $vehicle
     * @return \StructType\VehicleGeozonesResult
     */
    public function setVehicle(\StructType\IdentifierVehicleResult $vehicle = null)
    {
        $this->Vehicle = $vehicle;
        return $this;
    }
    /**
     * Get Geozones value
     * @return \ArrayType\ArrayOfVehicleGeozoneResult|null
     */
    public function getGeozones()
    {
        return $this->Geozones;
    }
    /**
     * Set Geozones value
     * @param \ArrayType\ArrayOfVehicleGeozoneResult $geozones
     * @return \StructType\VehicleGeozonesResult
     */
    public function setGeozones(\ArrayType\ArrayOfVehicleGeozoneResult $geozones = null)
    {
        $this->Geozones = $geozones;
        return $this;
    }
}
